{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block body %}
    <h1>
        {{ article.name }}
    </h1>

    <hr>

    {{ article.description | raw }}

    {% if (article.files is not empty ) %}
        <hr>

        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th scope="col">Nom du fichier</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                {% for file in article.files %}
                    <tr>
                        <th>
                            {{ file.fileName }}
                        </th>

                        <th>
                            {{ macro.downloadButton('app_file_download', file.id) }}
                        </th>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    {% endif %}

{% endblock %}
